gr::lte::sss_calculator_vcm Class Referenceabstract

Detect SSS in symbol. More...

`#include <sss_calculator_vcm.h>`

Inheritance diagram for gr::lte::sss_calculator_vcm:
[legend]

## Public Types

typedef boost::shared_ptr< sss_calculator_vcm > | sptr

## Public Member Functions

virtual int | get_cell_id ()=0
virtual long | get_frame_start ()=0

## Static Public Member Functions

static sptr | make (int fftl, std::string key_id, std::string key_offset, std::string name="sss_calculator_vcm")
| Return a shared_ptr to a new instance of lte::sss_calculator_vcm.

## Detailed Description

Detect SSS in symbol.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<sss_calculator_vcm> gr::lte::sss_calculator_vcm::sptr

## Member Function Documentation

## get_cell_id()

virtual int gr::lte::sss_calculator_vcm::get_cell_id | ( |  | ) |

pure virtual

Implemented in gr::lte::sss_calculator_vcm_impl.

## get_frame_start()

virtual long gr::lte::sss_calculator_vcm::get_frame_start | ( |  | ) |

pure virtual

Implemented in gr::lte::sss_calculator_vcm_impl.

## make()

static sptr gr::lte::sss_calculator_vcm::make | ( | int | fftl,
|  | std::string | key_id,
|  | std::string | key_offset,
|  | std::string | name = "sss_calculator_vcm" )

static

Return a shared_ptr to a new instance of lte::sss_calculator_vcm.

To avoid accidental use of raw pointers, lte::sss_calculator_vcm's constructor is in a private implementation class. lte::sss_calculator_vcm::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- sss_calculator_vcm.h